Package org.eclipse.birt.chart.model.attribute

# Interface ExtendedProperty

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ExtendedPropertyImpl`

public interface ExtendedProperty extends IChartObject
A representation of the model object 'Extended Property'. ExtendedProperty is a name-value pair which is specialized for representing an extended property entry that is created to hold data for minor extensions to a chart.

The following features are supported:

- `Name`
- `Value`

See Also:
  - `AttributePackage.getExtendedProperty()`

## Method Summary

Modifier and Type
Method
Description
`ExtendedProperty`
`copyInstance()`
`String`
`getName()`
Returns the value of the 'Name' attribute.
`String`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setValue(String value)`
Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute. Attribute "Name" specifies the unique name for the property entry.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `AttributePackage.getExtendedProperty_Name()`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### getValue

String getValue()
Returns the value of the 'Value' attribute. Attribute "Value" specifies the value for the property entry.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(String)`
  - `AttributePackage.getExtendedProperty_Value()`

### setValue

void setValue(String value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`

### copyInstance

ExtendedProperty copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`